OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Native Development, Is it possible to compile apps for opie?
YoG
post Aug 29 2006, 09:07 AM
Post #1





Group: Members
Posts: 56
Joined: 12-November 05
From: Israel
Member No.: 8,524



Hi,
I've seen hrw's message that native development should work.
So I went and installed:
gcc
binutils
and libc6-dev.
and compiled helloWorld.c with out a problem (and it even runs!)
CODE
#include <stdio.h>

int main(void)
{
    printf("Hello World!\n");
    return 0;
}


Now I wish to compile some apps for opie (with gui and everything...) the question is:
is it possible?
and if it is:
how?

Thanx,
YoG.
Go to the top of the page
 
+Quote Post
Hrw
post Aug 29 2006, 12:21 PM
Post #2





Group: Members
Posts: 1,376
Joined: 11-January 04
From: Poznań, Poland
Member No.: 1,413



ipkg install qmake libqpe-dev libqte-dev libopie*-dev (maybe some more packages)

then unpack and run qmake?

oops.. looks like we lack qmake..

This post has been edited by Hrw: Aug 29 2006, 12:22 PM
Go to the top of the page
 
+Quote Post
YoG
post Aug 29 2006, 10:43 PM
Post #3





Group: Members
Posts: 56
Joined: 12-November 05
From: Israel
Member No.: 8,524



I think moc and uic are also required for compiling qt gui.

YoG.
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
2 User(s) are reading this topic (2 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 21st November 2014 - 08:29 AM